%define		vermain		4.0b
#define		verminor	5
Summary:	Bigloo is compiler for the Scheme programming language
Summary(pl.UTF-8):	Bigloo - kompilator języka programowania Scheme
Name:		bigloo
#Version:	%{vermain}.%{verminor}
Version:	%{vermain}
Release:	1
License:	GPL/LGPL
Group:		Development/Languages
#Source0:	ftp://ftp-sop.inria.fr/mimosa/fp/Bigloo/%{name}%{vermain}-%{verminor}.tar.gz
Source0:	ftp://ftp-sop.inria.fr/mimosa/fp/Bigloo/%{name}%{vermain}.tar.gz
# Source0-md5:	5e66d9516a877f2b892d191bbe809379
Patch0:		%{name}-install.patch
URL:		http://www-sop.inria.fr/mimosa/fp/Bigloo/
BuildRequires:	gmp-devel
BuildRequires:	openssl-devel
BuildRequires:	sqlite3-devel
BuildRequires:	gstreamer-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Bigloo is a compiler and interpreter for an extended version of the
Scheme programming language. Bigloo allows a full connection between
Scheme and C programs. It delivers fast and small executables.

%description -l pl.UTF-8
Bigloo jest kompilatorem i interpreterem rozszerzonej wersji języka
programowania Scheme. Bigloo pozwala na pełne łączenie programów w
Scheme i w C. Daje szybkie i małe binarki.

%prep
#%setup -q -n %{name}%{vermain}-%{verminor}
%setup -q -n %{name}%{vermain}
%patch0 -p1

%build
./configure \
	--prefix=%{_prefix} \
	--bindir=%{_bindir} \
	--libdir=%{_libdir} \
	--mandir=%{_mandir}/man1 \
	--infodir=%{_infodir} \
	--emacs=/bin/true \
	--jvm=no \
	--cflags="%{rpmcflags}" \
	--coflags="%{rpmcflags}"

%{__make} boot

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

for ff in manuals/*.man ; do
	install -p $ff $RPM_BUILD_ROOT%{_mandir}/man1/$(basename $ff .man).1
done

rm -r $RPM_BUILD_ROOT%{_prefix}/doc
rm -r $RPM_BUILD_ROOT%{_libdir}/%{name}/%{vermain}/Makefile.misc
rm -r $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README ChangeLog manuals/*.html
%dir %{_libdir}/bigloo
%dir %{_libdir}/bigloo/%{vermain}
%attr(755,root,root) %{_bindir}/*
%{_libdir}/bigloo/%{vermain}/Makefile.config
%{_libdir}/bigloo/%{vermain}/bigloo.h
%{_libdir}/bigloo/%{vermain}/bigloo_config.*
%{_libdir}/bigloo/%{vermain}/bigloo_gc.h
%{_libdir}/bigloo/%{vermain}/*.init
%{_libdir}/bigloo/%{vermain}/*.*heap
%{_libdir}/bigloo/%{vermain}/lib*.a
%{_libdir}/bigloo/%{vermain}/bmem
%{_libdir}/bigloo/%{vermain}/text
%attr(755,root,root) %{_libdir}/bigloo/%{vermain}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.so
%{_mandir}/man1/*
%{_datadir}/info/bigloo.info*
%changelog
* Sat Dec 07 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/bigloo.git;a=log;h=master

* Sat Dec 07 2013 Jan Rękorajski <baggins@pld-linux.org> 2b7ce78
- updated to 4.0b

* Sat Nov 13 2010 pawelz <pawelz@pld-linux.org> bec7b16
- release 2

* Thu Apr 22 2010 Jan Rękorajski <baggins@pld-linux.org> 2827d8f
- rel 1

* Thu Apr 22 2010 Jan Rękorajski <baggins@pld-linux.org> ce60e8c
- updated to 3.3a-5
- simplified install
- added BRs

* Wed Apr 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> ef776d7
- release 3

* Mon Mar 29 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 856ce55
- release 2

* Thu Mar 19 2009 duddits <duddits@pld-linux.org> fc5b705
- up to 3.2a

* Mon Nov 24 2008 Tomasz Pala <gotar@pld-linux.org> 58537b8
- upgraded to 3.1b

* Sun Sep 16 2007 Adam Gołębiowski <adamg@pld-linux.org> e35564d
- updated to 3.0b

* Sun Aug 26 2007 Adam Gołębiowski <adamg@pld-linux.org> 3a784ea
- package bigloo_gc.h

* Sun Aug 26 2007 Adam Gołębiowski <adamg@pld-linux.org> 66b5022
- outdated

* Sun Aug 26 2007 Adam Gołębiowski <adamg@pld-linux.org> eff299d
- updated to 3.0b-beta21Aug07
- license set to GPL/LGPL (as states LICENSE file)
- gcc4 patch removed
- builds

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 6bc4193
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1e13820
- converted to UTF-8

* Fri May 13 2005 qrczak <qrczak@pld-linux.org> 8473e15
- bigloo-gcc4.patch: removed lvalue cast
- Release 2

* Fri Nov 05 2004 paladine <paladine@pld-linux.org> 459921d
- spaces->tabs
- cosmetics

* Mon Dec 22 2003 eothane <eothane@pld-linux.org> ddda4f3
- updated to 2.6b
- added URL:
- changed Patch1: to Patch0:

* Wed Aug 27 2003 Tomasz Pala <gotar@pld-linux.org> 1937023
- fixed changelog trailer

* Sun Aug 10 2003 Tomasz Pala <gotar@pld-linux.org> d682519
- outdated

* Sun Aug 10 2003 Tomasz Pala <gotar@pld-linux.org> ceb7f26
- upgraded to 2.6a,
- removed outdated DESTDIR patch,
- passed --jvm=no (requires java),
- fixed passing CFLAGS,
- commented out fthread (needs java?),
- fixed file listing.

